﻿using System.Windows;
using System.Windows.Controls;

namespace TestProject
{
    /// <summary>
    /// 경매 항목 데이터 템플리트 선택자
    /// </summary>
    public class AuctionItemDataTemplateSelector : DataTemplateSelector
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 템플리트 선택하기 - SelectTemplate(item, container)

        /// <summary>
        /// 템플리트 선택하기
        /// </summary>
        /// <param name="item">항목</param>
        /// <param name="container">컨테이너</param>
        /// <returns>템플리트</returns>
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            FrameworkElement element = container as FrameworkElement;

            if(element != null && item != null && item is AuctionItem)
            {
                AuctionItem auctionItem = item as AuctionItem;

                Window window = Application.Current.MainWindow;

                switch(auctionItem.FeatureType)
                {
                    case FeatureType.None  : return element.FindResource("NoneDataTemplateKey" ) as DataTemplate;
                    case FeatureType.Color : return element.FindResource("ColorDataTemplateKey") as DataTemplate;
                }
            }

            return null;
        }

        #endregion
    }
}